X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

load: TypeError: Components.classes['@checkpoint.com/XPCOMTrustCheckerMozilla/TrustCheckerMozilla;1'] is undefined

Posted

I get the following error every time Firefox starts

load: TypeError: Components.classes['@checkpoint.com/XPCOMTrustCheckerMozilla/TrustCheckerMozilla;1'] is undefined

Additional System Details

This happened

Every time Firefox opened

This started when...

Installed V4. Beta I reinstalled it with current production version. Same problem

Installed Plug-ins

  • Version 1.4.2.0
  • Google Talk Plugin Video Accelerator version:0.1.43.3
  • Google Update
  • Shockwave Flash 10.2 r153

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0

More Information

Application Basics
Name
Firefox
Version
4.0
User Agent
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0
Profile Directory
Open Containing Folder
Enabled Plugins
about:plugins
Build Configuration
about:buildconfig
Extensions
Name
Version
Enabled
ID
Answers
2.3.54
true
{C0D0F6D1-9FC9-4b0a-B485-D5E13AF40D51}
DivX Plus Web Player HTML5 <video>
2.1.0.900
true
{23fcfd51-4958-4f00-80a3-ae97e717ed8b}
DivX HiQ
2.1.0.900
true
{6904342A-8307-11DF-A508-4AE2DFD72085}
Google Toolbar for Firefox
7.1.20101113Wb1
true
{3112ca9c-de6d-4884-a869-9855de68056c}
Roboform Toolbar for Firefox
7.2.5
true
{22119944-ED35-4ab1-910B-E619EA06A115}
BetterPrivacy
1.49
true
{d40f5e7b-d2cf-4856-b441-cc613eeffbe3}
Test Pilot
1.1
true
testpilot@labs.mozilla.com
Boomerang for GMail
0.9.5
true
{65e41d20-f092-41b7-bb83-c6e8a9ab0f57}
Element Hiding Helper for Adblock Plus
1.1.1
true
elemhidehelper@adblockplus.org
Add-on Compatibility Reporter
0.8.2
true
compatibility@addons.mozilla.org
Readability
1.5
true
readability@readability.com
ZoneAlarm Security Engine
1.5.265.2
true
{FFB96CC1-7EB3-449D-B827-DB661701C6BB}
Rapportive
1.2
true
rapportive@rapportive.com
Adblock Plus
1.3.6
true
{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}
Modified Preferences
Name
Value
accessibility.typeaheadfind.flashBar
0
browser.fixup.alternate.enabled
false
browser.places.smartBookmarksVersion
2
browser.startup.homepage_override.buildID
20110318052756
browser.startup.homepage_override.mstone
rv:2.0
extensions.checkCompatibility
false
extensions.checkCompatibility.3.6
false
extensions.checkCompatibility.3.6b
false
extensions.checkCompatibility.3.6p
false
extensions.checkCompatibility.3.6pre
false
extensions.checkCompatibility.3.7a
false
extensions.checkCompatibility.4.0
false
extensions.checkCompatibility.4.0b
false
extensions.checkCompatibility.4.0p
false
extensions.checkCompatibility.4.0pre
false
extensions.checkCompatibility.4.2
false
extensions.checkCompatibility.4.2a
false
extensions.checkCompatibility.4.2b
false
extensions.checkCompatibility.4.2p
false
extensions.checkCompatibility.4.2pre
false
extensions.checkCompatibility.5.0a
false
extensions.checkCompatibility.5.0b
false
extensions.checkCompatibility.5.0p
false
extensions.checkCompatibility.5.0pre
false
extensions.lastAppVersion
4.0
network.cookie.prefsMigrated
true
network.http.max-connections
32
network.http.max-connections-per-server
8
network.http.max-persistent-connections-per-server
4
network.http.pipelining
true
network.http.pipelining.firstrequest
true
network.http.pipelining.maxrequests
8
network.http.proxy.pipelining
true
network.http.request.max-start-delay
0
network.protocol-handler.expose.mailto
true
network.protocol-handler.external.mailto
false
places.database.lastMaintenance
1302125143
places.history.expiration.transient_current_max_pages
128791
privacy.sanitize.migrateFx3Prefs
true
security.warn_viewing_mixed
false
Graphics
Adapter Description
ATI Radeon HD 2400
Vendor ID
1002
Device ID
94c3
Adapter RAM
256
Adapter Drivers
aticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64
Driver Version
8.821.0.0
Driver Date
1-26-2011
Direct2D Enabled
true
DirectWrite Enabled
true (6.1.7601.17563, font cache n/a)
WebGL Renderer
Google Inc. -- ANGLE -- OpenGL ES 2.0 (ANGLE 0.0.0.541)
GPU Accelerated Windows
1/1 Direct3D 10

cor-el
  • Top 10 Contributor
  • Moderator
10780 solutions 97024 answers

Start Firefox in Troubleshoot Firefox issues using Safe Mode to check if one of the add-ons is causing the problem (switch to the DEFAULT theme: Tools > Add-ons > Appearance/Themes).

  • Don't make any changes on the Safe mode start window.

See:

Rob 0 solutions 2 answers

Helpful Reply

I disabled the "ZoneAlram Toolbar" in Aurora 6.0a2 (FF 6) and that error pop-up ceased.

Other people have had to disable different Add-ons to to fix the problem (Google for suggestions). It is unfortunate that the pop-up does not indicate which Add-on is causing it to pop-up.

MagnanaDanna 0 solutions 1 answers

I was having problems with Avast's WebRep plugin not being compatible with FF 6.0. I downloaded the Compatibility Reporter and this error occurred.

bernie_PPL 0 solutions 1 answers

Helpful Reply

I reinstalled ZoneAlarm, problem gone.

ColinTindal 0 solutions 3 answers

Thank you bernie_PPL, reinstalling ZoneAlarm did it for me. Colin

Modified by ColinTindal